> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 회사 뉴스 인사이트

> 지정한 기간 동안의 회사 뉴스 신호 집계 인사이트: 언급량, 상위 토픽 및 출처, 카테고리 및 시장별 분류, 그리고 주별 시계열.



## OpenAPI

````yaml ko-openapi POST /companies/news/insights
openapi: 3.0.0
info:
  description: >-
    Pubrio API는 마켓 확장 인텔리전스를 제공합니다——기업의 신규 시장 진입을 포착하는 실시간 시그널과 그 기반이 되는 기업·인물
    데이터. 계정과 연락처를 검색·조회·보강하고, 200+ 시장에 걸친 유형·날짜가 있는 움직임 시그널을 구독하세요.
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/ko/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/ko/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: 워크스페이스 프로필 정보 및 사용량 통계
  - name: Enrichment
    description: 상세한 B2B 데이터로 인물 및 기업 레코드를 보강
  - name: Lookalike
    description: 지정된 기업과 유사한 기업 검색
  - name: Search
    description: 필터를 사용하여 인물, 기업, 채용, 뉴스 및 광고 검색
  - name: Lookup
    description: 특정 인물, 기업, 채용, 뉴스, 광고 및 기술의 상세 정보 조회
  - name: LinkedIn
    description: LinkedIn 프로필 URL을 통한 인물 및 기업 데이터 조회
  - name: Redeem
    description: 크레딧을 사용하여 인물 연락처 정보 잠금 해제 (단건 및 배치)
  - name: Channels
    description: 아웃리치 채널 템플릿 관리 (생성, 수정, 삭제, 목록)
  - name: Monitor
    description: 웹훅, 통계 및 처리를 포함한 데이터 모니터 생성 및 관리
  - name: Filters
    description: 검색 매개변수에 사용 가능한 필터 값 조회 (기술, 지역, 버티컬 등)
  - name: API Keys
    description: API 키의 요청 로그 및 사용량 분석 조회
  - name: Insights
    description: 회사의 신호 집계 인사이트(채용, 뉴스, 광고).
  - name: Export
    description: 대량 데이터 내보내기(크레딧 차감).
  - name: Expansion
    description: '회사 시장 확장 인텔리전스: 신호, 단계, 시장, 내보내기.'
externalDocs:
  description: >-
    Pubrio API는 연락처와 계정 정보를 검색, 미리보기, 그리고 보강하는 데 사용됩니다. Pubrio 데이터베이스는 풍부한 B2B
    연락처 및 영업 인텔리전스 데이터를 제공합니다.
  url: https://docs.pubrio.com
paths:
  /companies/news/insights:
    post:
      tags:
        - Insights
      summary: 뉴스 인사이트
      description: '지정한 기간 동안의 회사 뉴스 신호 집계 인사이트: 언급량, 상위 토픽 및 출처, 카테고리 및 시장별 분류, 그리고 주별 시계열.'
      operationId: companies_news_insights
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - domain_search_id
              properties:
                domain_search_id:
                  $ref: '#/components/schemas/domain_search_id'
                date_from:
                  $ref: '#/components/schemas/date_from'
                date_to:
                  $ref: '#/components/schemas/date_to'
                profile_id:
                  $ref: '#/components/schemas/profile_id'
      responses:
        '200':
          description: 해당 회사와 기간에 대한 뉴스 인사이트 밴드.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    description: 요청한 회사와 기간에 대한 인사이트 밴드.
              example:
                data:
                  totals:
                    mentions: 42
                    sources: 9
                  mentions: 42
                  topics:
                    - key: funding
                      count: 6
                    - key: partnership
                      count: 4
                  sources:
                    - key: TechCrunch
                      count: 3
                  top_source:
                    key: TechCrunch
                    count: 3
                  weekly_series:
                    - week_start: '2026-02-09'
                      count: 5
                  category_breakdown:
                    - key: business
                      count: 18
                  market_breakdown:
                    - key: GB
                      count: 7
                  window_days: 90
components:
  schemas:
    domain_search_id:
      type: string
      format: uuid
      description: 회사 조회 작업의 고유 식별자.
    date_from:
      type: string
      format: date
      example: '2026-01-01'
      description: >-
        기간의 시작(ISO 8601, YYYY-MM-DD). `date_to`와 함께 사용하여 결과를 특정 범위로 한정합니다. 둘 다
        생략하면 기본 기간이 사용됩니다.
    date_to:
      type: string
      format: date
      example: '2026-03-31'
      description: 기간의 종료(ISO 8601, YYYY-MM-DD). `date_from`과 같거나 그 이후여야 합니다.
    profile_id:
      type: integer
      description: >-
        선택 사항. 요청을 수행하는 팀 식별자입니다. API 키에 이미 워크스페이스 정보가 포함되어 있으므로 이 매개변수는 더 이상
        필수가 아닙니다. 제공되면 조회 및 사용 크레딧 추적을 위해 특정 팀(작업 공간)과 연계됩니다.


        자세한 내용은 팀 탭의 `user details` 엔드포인트를 참고하세요.
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        API에서 수행하는 작업 및 해당 권한을 식별하는 고유한 API 토큰입니다. 이 토큰은
        [설정](https://dashboard.pubrio.com/#/settings/) 섹션에서 생성할 수 있습니다.
      in: header

````